function vexpower.panel_profiles()
	return {
		type = "group",
		args = {
			grpadd = {
				name = "Save Profile",
				order=3, type ="group", dialogInline = true,
				args = {
					profile_new = {
						name = "Name",
						desc = "Enter a name for the new profile",
						order=1, type = "input", multiline = false, width = "double",
						validate = function (info, val)
							if vexpower_profile_checkName(val) then return true
							else return "ERROR - "..val.." is not a valid name" end
							end,
						set = function(info,val) vexpower_profiles_profile_new = val end,
						get = function() return vexpower_profiles_profile_new end,
						},
					profile_new_add = {
						name = "save", width="half",
						order=2, type = "execute",
						func = function(info,val) vexpower_profile_add() vexpower_initialize(true) end,
						},
					grpadddelete_allowed = {name ="Profile names may only contain numbers, letters, '-' and spaces\n\n\n\nWarning: Changes made to an existing profile after saving it will not be automatically saved! You have to overwrite the profile to save the changes!", type = "description", order=3, fontSize="medium"},
					},
				},
			frame_space2 = {name =" ", type = "description", order=4},
			grpdelete = {
				name = "Delete Profile",
				order=5, type ="group", dialogInline = true,
				args = {
					profile_delete = {
						name = "Profile",
						order=1, type = "select", style = "dropdown", width="double",
						desc = "Delete an existing profile",
						values = vexpower_getProfileList(true),
						set = function(self,key) vexpower_profiles_profile_delete = key end,
						get = function() return vexpower_profiles_profile_delete end,
						},
					delete_exe = {
						name = "delete",
						order=2, type = "execute",
						func = function(info,val) vexpower_profile_delete() vexpower_initialize(true) end,
						confirm = true,
						confirmText = "Are you sure you want to delete the profile?"
						},
					},
				},
			frame_space3 = {name =" ", type = "description", order=6},
			grpload = {
				name = "Load Profile",
				order=7, type ="group", dialogInline = true,
				args = {
					profile_load = {
						name = "Profile",
						order=1, type = "select", style = "dropdown", width="double",
						values = vexpower_getProfileList(true),
						set = function(self,key) vexpower_profiles_profile_load = key end,
						get = function() return vexpower_profiles_profile_load end,
						},
					load_exe_all = {
						name = "load",
						order=3, type = "execute",
						func = function(info,val) vexpower_profile_load() vexpower_initialize(true) end,
						},
					},
				},
			}
		}
end
